Skip to main content
POST
/
v1
/
webauthn
/
register
/
verify
Verify registration
curl --request POST \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/webauthn/register/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "challengeId": "<string>",
  "response": {
    "id": "<string>",
    "rawId": "<string>",
    "type": "<string>",
    "response": {
      "clientDataJSON": "<string>",
      "attestationObject": "<string>"
    }
  }
}
'
{
  "credentialId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Developer API key

Body

application/json
challengeId
string
required

The challengeId from registerOptions

response
object
required

The credential response from the browser

Response

Credential registered

credentialId
string
createdAt
string<date-time>